## node-express 2.5.9

=== Makefile ===

DOCS = $(shell find docs/*.md)
HTMLDOCS = $(DOCS:.md=.html)
TESTS = $(shell find test/*.test.js)

test:
	@NODE_ENV=test ./node_modules/.bin/expresso $(TESTS)

docs: $(HTMLDOCS)
	@ echo "... generating TOC"
	@./support/toc.js docs/guide.html

%.html: %.md
	@echo "... $< -> $@"
	@markdown $< \
	  | cat docs/layout/head.html - docs/layout/foot.html \
	  > $@

site:
	rm -fr /tmp/docs \
	  && cp -fr docs /tmp/docs \
	  && git checkout gh-pages \
  	&& cp -fr /tmp/docs/* . \
		&& echo "done"

docclean:
	rm -f docs/*.{1,html}

.PHONY: site test docs docclean

## node-express 2.5.0

=== debian/changelog ===
node-express (2.5.0-1) unstable; urgency=low

  * New upstream version
  * Add debian/watch

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 22:08:37 +0100

node-express (2.4.7-2) unstable; urgency=low

  * Compliance to Debian Javascript Policy

 -- David Paleino <dapal@debian.org>  Sat, 15 Oct 2011 23:54:12 +0200

node-express (2.4.7-1) unstable; urgency=low

  * Initial release (Closes: #645187)

 -- David Paleino <dapal@debian.org>  Thu, 13 Oct 2011 13:31:03 +0200

=== debian/control ===
Source: node-express
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/visionmedia/express
Vcs-Git: git://git.debian.org/collab-maint/node-express.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-express.git;a=summary

Package: node-express
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-connect
 , node-mime
 , node-qs
 , node-mkdirp
Description: web development framework for NodeJS
 Express is a web development framework for NodeJS, inspired to ruby's
 Sinatra.

## node-express 2.5.9

=== debian/changelog ===
node-express (2.5.9-2) unstable; urgency=low

  * Migrate from node to nodejs (Closes: #686890)
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 11:02:11 +0200

node-express (2.5.9-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 21:58:51 +0200

node-express (2.5.8-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright
  * Bump dependencies on node-mime, node-qs and node-mkdirp

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 21:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: https://github.com/visionmedia/express
 Vcs-Git: git://git.debian.org/collab-maint/node-express.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-express.git;a=summary
@@ -15,11 +15,11 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3~)
  , node-connect
- , node-mime
- , node-qs
- , node-mkdirp
+ , node-mime (>= 1.2.4)
+ , node-qs (>= 0.4)
+ , node-mkdirp (>= 0.3.0)
 Description: web development framework for NodeJS
  Express is a web development framework for NodeJS, inspired to ruby's
  Sinatra.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
	# nothing

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_installchangelogs:
	dh_installchangelogs History.md

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=express \
http://registry.npmjs.org/express/-/express-(\d+.*)\.tgz

## node-express 4.1.1~dfsg

=== Makefile ===

MOCHA_OPTS= --check-leaks
REPORTER = dot

check: test

test: test-unit test-acceptance

test-unit:
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--reporter $(REPORTER) \
		--globals setImmediate,clearImmediate \
		$(MOCHA_OPTS)

test-acceptance:
	@NODE_ENV=test ./node_modules/.bin/mocha \
		--reporter $(REPORTER) \
		--bail \
		test/acceptance/*.js

test-cov: lib-cov
	@EXPRESS_COV=1 $(MAKE) test REPORTER=html-cov > coverage.html

lib-cov:
	@jscoverage lib lib-cov

bench:
	@$(MAKE) -C benchmarks

clean:
	rm -f coverage.html
	rm -fr lib-cov

.PHONY: test test-unit test-acceptance bench clean

=== debian/changelog ===
node-express (4.1.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: bug#742178.

  [ Jonas Smedegaard ]
  * Use github.org (not npmjs.org) as upstream source.
  * List URLs to source and preferred upstream contact in copyright
    file.
  * Update Homebase URL.
  * Use license shortname Expat (not MIT).
  * Wrap License paragraph at 72 chars.
  * Repackage using CDBS, Licensed GPL-3+.
  * Update package relations:
    + Build-depend on cdbs.
    + Depend on node-range-parser, node-cookie, node-buffer-crc32,
      node-fresh, node-methods, node-send, node-cookie-signature,
      node-debug.
    + Stop depending on node-mime.
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied in stable, and oldstable is no longer supported.
  * Update short and long description, based on Homepage.
  * Update Vcs-* fields: Use anonscm.debian.org URLs.
  * Add myself as uploader.
  * Add git-buildpackage config:
    + Enable pristine-tar and signed tags.
    + Suppress .gitignore when importing upstream tarballs.
  * Git-ignore quilt .pc dir.
  * Install examples.
  * Repackage upstream tarball to exclude test image: Embedded ICC
    profile has copyright but lacks DFSG-free licensing.
    Have watch file mangle debian version.

  [ Leo Iannacone ]
  * Fix watch file to mangle filename.
  * Install package.json.
  * Stop install executable "express": Moved to separate project
    express-generator.
    Drop related patch 01.
  * Update package relations:
    + Depend on node-parseurl, node-type-is, node-accepts,
      node-escape-html, node-merge-descriptors, node-path-to-regexp,
      node-serve-static and node-utils-merge.
    + Stop depending on node-connect or node-mkdirp.
    + Relax to depend unversioned on nodejs: Only supported versions
      exists in any official Debian suite now.
    + Build-depend on nodejs: Needed only as hint to resolve distro-wide
      source<->binary relationships.
    + Suggest node-express-generator: Provides executable "express".
  * Bump standards-version to 3.9.5.
  * Remove David Paleino as uploader (acknowledged by him).
  * Add myself as uploader.
  * Update Vcs-* fields: Packaging git moved to project area at Alioth.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Apr 2014 18:31:24 +0200

=== debian/control ===
Source: node-express
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cdbs
 , debhelper
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.5
Homepage: https://expressjs.com/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-express
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-express.git

Package: node-express
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-parseurl
 , node-buffer-crc32
 , node-qs
 , node-cookie-signature
 , node-methods
 , node-type-is
 , node-accepts
 , node-send
 , node-escape-html
 , node-cookie
 , node-merge-descriptors
 , node-fresh
 , node-debug
 , node-range-parser
 , node-path-to-regexp
 , node-serve-static
 , node-utils-merge
Suggests:
 node-express-generator
Description: web application framework for node
 Express is a minimal and flexible node.js web application framework,
 providing a robust set of features for building single and multi-page,
 and hybrid web applications.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, 2012 David Paleino <dapal@debian.org>
# Copyright © 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for express
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = https://github.com/visionmedia/express/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_SRCDIR = express-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = 99fee7add665dbfd6c5b5af63352c857

# embedded ICC profile has copyright but lacks DFSG-free licensing
DEB_UPSTREAM_REPACKAGE_EXCLUDES = test/acceptance/fixtures/grey.png

DEB_INSTALL_CHANGELOGS_ALL = History.md

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-express-$1.tar.gz/,\
dversionmangle=s/\~dfsg.*// \
 https://github.com/visionmedia/express/tags .*/archive/v?([\d\.]+).tar.gz

## node-express 4.16.4

=== debian/changelog ===
node-express (4.16.4-1) unstable; urgency=medium

  [ Leo Iannacone ]
  * debian/control:
    + update Homepage URL

  [ Xavier Guimard ]
  * Add upstream/metadata
  * Update debian/copyright links to https
  * Update gbp.conf
  * New upstream version 4.16.4
  * Update debian/copyright
  * Add myself to uploaders
  * Switch from cdbs to dh
  * Bump debheper compatibility level to 11
  * Update VCS fields
  * Declare compliance with policy 4.3.0
  * Add minimal test
  * Add minimal autopkgtest files
  * Update dependencies
  * Update homepage to https
  * Change section to javascript

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Jan 2019 22:46:47 +0100

=== debian/control ===
Source: node-express
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
           Jonas Smedegaard <dr@jones.dk>,
           Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               node-accepts,
               node-array-flatten,
               node-body-parser,
               node-content-disposition,
               node-content-type,
               node-cookie,
               node-cookie-signature,
               node-debug,
               node-depd,
               node-encodeurl,
               node-escape-html,
               node-etag,
               node-finalhandler,
               node-fresh,
               node-merge-descriptors,
               node-methods,
               node-on-finished,
               node-parseurl,
               node-path-to-regexp,
               node-proxy-addr,
               node-qs,
               node-range-parser,
               node-safe-buffer,
               node-send,
               node-serve-static,
               node-setprototypeof,
               node-statuses,
               node-type-is,
               node-utils-merge,
               node-vary,
               nodejs
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-express
Vcs-Git: https://salsa.debian.org/js-team/node-express.git
Homepage: https://expressjs.com

Package: node-express
Architecture: all
Depends: ${misc:Depends},
         node-accepts,
         node-array-flatten,
         node-body-parser,
         node-content-disposition,
         node-content-type,
         node-cookie,
         node-cookie-signature,
         node-debug,
         node-depd,
         node-encodeurl,
         node-escape-html,
         node-etag,
         node-finalhandler,
         node-fresh,
         node-merge-descriptors,
         node-methods,
         node-on-finished,
         node-parseurl,
         node-path-to-regexp,
         node-proxy-addr,
         node-qs,
         node-range-parser,
         node-safe-buffer,
         node-send,
         node-serve-static,
         node-setprototypeof,
         node-statuses,
         node-type-is,
         node-utils-merge,
         node-vary,
         nodejs
Suggests: node-express-generator
Description: web application framework for node
 Express is a minimal and flexible node.js web application framework,
 providing a robust set of features for building single and multi-page,
 and hybrid web applications.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-express

## node-express 4.17.1

=== debian/changelog ===
node-express (4.17.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Update test using new pkg-js-tools features

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Nov 2020 18:24:18 +0100

node-express (4.17.1-2) unstable; urgency=medium

  * Team upload
  * Require node-serve-static ≥ 1.14.1
  * Require node-etag ≥ 1.8.1
  * Remove part of test modules: cookies, etag, handlebars, mime,
    path-to-regexp, send, superagent, supertest and destroy
  * Update other test modules
  * Update copyrights
  * Add patch to be able to use recent path-to-regexp (Closes: #947042)
  * Add build dependency to node-cookies and node-supertest
  * Remove useless lintian overrides
  * Temporarily disable some mvc tests
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Sun, 22 Dec 2019 10:06:05 +0100

node-express (4.17.1-1) unstable; urgency=medium

  * Back to unstable after successful debci tests
  * Update debian/copyright
  * Increase test timeout
  * fix d/copy
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Update gbp.conf
  * New upstream version 4.17.1
  * Clean test files
  * Fix test after node-serve-static changes
  * Add lintian overrides file
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Sep 2019 07:07:35 +0200

node-express (4.16.4-2) experimental; urgency=medium

  * Team upload
  * Fix install (needed to enable autopkgtest)
  * Enable upstream tests using pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Thu, 25 Apr 2019 16:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,46 +1,64 @@
 Source: node-express
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Leo Iannacone <l3on@ubuntu.com>,
-           Jonas Smedegaard <dr@jones.dk>,
-           Xavier Guimard <yadd@debian.org>
+           Jonas Smedegaard <dr@jones.dk>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Testsuite: autopkgtest-pkg-nodejs
+Build-Depends: debhelper-compat (= 13),
+               mocha,
                node-accepts,
+               node-after,
                node-array-flatten,
                node-body-parser,
                node-content-disposition,
                node-content-type,
                node-cookie,
+               node-cookies,
+               node-cookiejar,
+               node-cookie-parser,
                node-cookie-signature,
                node-debug,
                node-depd,
+               node-ejs,
                node-encodeurl,
                node-escape-html,
-               node-etag,
+               node-etag (>= 1.8.1),
+               node-extend,
                node-finalhandler,
+               node-formidable,
+               node-form-data,
                node-fresh,
+               node-keygrip,
+               node-marked,
                node-merge-descriptors,
                node-methods,
                node-on-finished,
+               node-on-headers,
                node-parseurl,
                node-path-to-regexp,
                node-proxy-addr,
                node-qs,
                node-range-parser,
                node-safe-buffer,
+               node-should,
                node-send,
-               node-serve-static,
+               node-serve-static (>= 1.14.1),
                node-setprototypeof,
                node-statuses,
+               node-supertest (>= 3.3.0),
                node-type-is,
+               node-uid-safe,
                node-utils-merge,
                node-vary,
-               nodejs
-Standards-Version: 4.3.0
+               node-vhost,
+               nodejs,
+               dh-sequence-nodejs
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com
+Rules-Requires-Root: no
 
 Package: node-express
 Architecture: all
@@ -56,7 +74,7 @@
          node-depd,
          node-encodeurl,
          node-escape-html,
-         node-etag,
+         node-etag (>= 1.8.1),
          node-finalhandler,
          node-fresh,
          node-merge-descriptors,
@@ -69,7 +87,7 @@
          node-range-parser,
          node-safe-buffer,
          node-send,
-         node-serve-static,
+         node-serve-static (>= 1.14.1),
          node-setprototypeof,
          node-statuses,
          node-type-is,

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-express-$1.tar.gz/,\
dversionmangle=auto \
 https://github.com/visionmedia/express/tags .*/archive/v?([\d\.]+).tar.gz

## node-express 4.17.3+~4.17.13

=== debian/changelog ===
node-express (4.17.3+~4.17.13-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: Open redirect
    - debian/patches/CVE-2024-29041-1.patch: checks the diff value of the
      host before and after encoding
    - debian/patches/CVE-2024-29041-2.patch: uses regex to identify schema,
      host and path and only path after host is encoded
    - CVE-2024-29041

  * SECURITY UPDATE: Cross-site scripting
    - debian/patches/CVE-2024-43796.patch: don't render redirect values in
      anchor href
    - CVE-2024-43796

 -- Shishir Subedi <shishir.subedi@canonical.com>  Wed, 18 Jun 2025 15:33:03 +0545

node-express (4.17.3+~4.17.13-1) unstable; urgency=medium

  * New upstream version 4.17.3+~4.17.13
  * Unfuzz patches
  * Add test dependencies to node-http-errors and node-path-is-absolute
  * Update test modules

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 12:09:00 +0100

node-express (4.17.2+~4.17.13-1) unstable; urgency=medium

  * Fix filenamemangle
  * Update nodejs dependency to any
  * Use uscan group
  * New upstream version 4.17.2+~4.17.13
  * Update test modules
  * Refresh patches
  * Mark test dependencies with <!nocheck>

 -- Yadd <yadd@debian.org>  Mon, 20 Dec 2021 08:25:39 +0100

node-express (4.17.1+~cs4.17.13-1) unstable; urgency=medium

  * Team upload
  * Embed typescript definitions for express and repack
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Vivek K J <vivekkj@protonmail.com>  Wed, 29 Sep 2021 15:23:48 +0200

=== debian/control ===
Source: node-express
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>, Jonas Smedegaard <dr@jones.dk>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , mocha <!nocheck>
 , node-accepts <!nocheck>
 , node-after <!nocheck>
 , node-array-flatten <!nocheck>
 , node-basic-auth <!nocheck>
 , node-body-parser <!nocheck>
 , node-content-disposition <!nocheck>
 , node-content-type <!nocheck>
 , node-cookie <!nocheck>
 , node-cookie-parser <!nocheck>
 , node-cookie-signature <!nocheck>
 , node-cookiejar <!nocheck>
 , node-cookies <!nocheck>
 , node-debug <!nocheck>
 , node-depd <!nocheck>
 , node-ejs <!nocheck>
 , node-encodeurl <!nocheck>
 , node-escape-html <!nocheck>
 , node-etag (>= 1.8.1) <!nocheck>
 , node-extend <!nocheck>
 , node-finalhandler <!nocheck>
 , node-form-data <!nocheck>
 , node-formidable <!nocheck>
 , node-fresh <!nocheck>
 , node-http-errors <!nocheck>
 , node-keygrip <!nocheck>
 , node-marked <!nocheck>
 , node-merge-descriptors <!nocheck>
 , node-methods <!nocheck>
 , node-morgan <!nocheck>
 , node-on-finished <!nocheck>
 , node-on-headers <!nocheck>
 , node-path-is-absolute <!nocheck>
 , node-parseurl <!nocheck>
 , node-path-to-regexp <!nocheck>
 , node-proxy-addr <!nocheck>
 , node-qs <!nocheck>
 , node-range-parser <!nocheck>
 , node-reusify <!nocheck>
 , node-safe-buffer <!nocheck>
 , node-send <!nocheck>
 , node-serve-static (>= 1.14.1) <!nocheck>
 , node-setprototypeof <!nocheck>
 , node-should <!nocheck>
 , node-statuses <!nocheck>
 , node-supertest (>= 3.3.0) <!nocheck>
 , node-type-is <!nocheck>
 , node-uid-safe <!nocheck>
 , node-utils-merge <!nocheck>
 , node-vary <!nocheck>
 , node-vhost <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-express
Vcs-Git: https://salsa.debian.org/js-team/node-express.git
Homepage: https://expressjs.com
Rules-Requires-Root: no

Package: node-express
Architecture: all
Depends:
 ${misc:Depends}
 , node-accepts
 , node-array-flatten
 , node-body-parser
 , node-content-disposition
 , node-content-type
 , node-cookie
 , node-cookie-signature
 , node-debug
 , node-depd
 , node-encodeurl
 , node-escape-html
 , node-etag (>= 1.8.1)
 , node-finalhandler
 , node-fresh
 , node-merge-descriptors
 , node-methods
 , node-on-finished
 , node-parseurl
 , node-path-to-regexp
 , node-proxy-addr
 , node-qs
 , node-range-parser
 , node-safe-buffer
 , node-send
 , node-serve-static (>= 1.14.1)
 , node-setprototypeof
 , node-statuses
 , node-type-is
 , node-utils-merge
 , node-vary
 , nodejs:any
Suggests:
 node-express-generator
Provides:
 ${nodejs:Provides}
Description: web application framework for node
 Express is a minimal and flexible node.js web application framework,
 providing a robust set of features for building single and multi-page,
 and hybrid web applications.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-express 4.18.1+~4.17.13

=== debian/changelog ===
node-express (4.18.1+~4.17.13-1) unstable; urgency=medium

  * New upstream version 4.18.1+~4.17.13

 -- Yadd <yadd@debian.org>  Sat, 30 Apr 2022 07:10:55 +0200

node-express (4.18.0+~4.17.13-1) unstable; urgency=medium

  * New upstream version 4.18.0+~4.17.13
  * Refresh patches
  * Require node-statuses >= 2 and node-cookie >= 0.5

 -- Yadd <yadd@debian.org>  Fri, 29 Apr 2022 16:00:23 +0200

node-express (4.17.3+~4.17.13-2) unstable; urgency=medium

  * Add fix for node-send >= 0.18

 -- Yadd <yadd@debian.org>  Sat, 26 Mar 2022 08:30:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: node-express
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>, Jonas Smedegaard <dr@jones.dk>
 Section: javascript
 Priority: optional
@@ -16,7 +15,7 @@
  , node-body-parser <!nocheck>
  , node-content-disposition <!nocheck>
  , node-content-type <!nocheck>
- , node-cookie <!nocheck>
+ , node-cookie (>= 0.5) <!nocheck>
  , node-cookie-parser <!nocheck>
  , node-cookie-signature <!nocheck>
  , node-cookiejar <!nocheck>
@@ -48,11 +47,11 @@
  , node-range-parser <!nocheck>
  , node-reusify <!nocheck>
  , node-safe-buffer <!nocheck>
- , node-send <!nocheck>
+ , node-send (>= 0.18) <!nocheck>
  , node-serve-static (>= 1.14.1) <!nocheck>
  , node-setprototypeof <!nocheck>
  , node-should <!nocheck>
- , node-statuses <!nocheck>
+ , node-statuses (>= 2) <!nocheck>
  , node-supertest (>= 3.3.0) <!nocheck>
  , node-type-is <!nocheck>
  , node-uid-safe <!nocheck>
@@ -74,7 +73,7 @@
  , node-body-parser
  , node-content-disposition
  , node-content-type
- , node-cookie
+ , node-cookie (>= 0.5)
  , node-cookie-signature
  , node-debug
  , node-depd
@@ -92,10 +91,10 @@
  , node-qs
  , node-range-parser
  , node-safe-buffer
- , node-send
+ , node-send (>= 0.18)
  , node-serve-static (>= 1.14.1)
  , node-setprototypeof
- , node-statuses
+ , node-statuses (>= 2)
  , node-type-is
  , node-utils-merge
  , node-vary

## node-express 4.18.2+~4.17.14

=== debian/changelog ===
node-express (4.18.2+~4.17.14-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * New upstream version 4.18.2+~4.17.14 (fix test for nodejs 18)

 -- Yadd <yadd@debian.org>  Mon, 10 Oct 2022 10:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  , node-utils-merge <!nocheck>
  , node-vary <!nocheck>
  , node-vhost <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-express-$1/,\
dversionmangle=auto \
 https://github.com/visionmedia/express/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-express,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/@types/express https://registry.npmjs.org/@types/express/-/express-([\d\.]+)@ARCHIVE_EXT@ group

## node-express 4.18.2+~cs8.34.50

=== debian/changelog ===
node-express (4.18.2+~cs8.34.50-1) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Embed missing @types/express-serve-static-core and repack

 -- Yadd <yadd@debian.org>  Mon, 10 Apr 2023 16:02:57 +0400

## node-express 4.19.2%2B~cs8.36.21

=== debian/changelog ===
node-express (4.19.2+~cs8.36.21-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.19.2+~cs8.36.21 (Closes: CVE-2024-29041)
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sun, 07 Apr 2024 07:52:14 +0400

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  , node-utils-merge <!nocheck>
  , node-vary <!nocheck>
  , node-vhost <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com

## node-express 4.19.2+~cs8.36.21

=== debian/changelog ===
node-express (4.19.2+~cs8.36.21-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Cross-site scripting
    - debian/patches/CVE-2024-43796.patch: don't render redirect values in
      anchor href
    - CVE-2024-43796

 -- Shishir Subedi <shishir.subedi@canonical.com>  Tue, 17 Jun 2025 12:03:49 +0545

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: node-express
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>, Jonas Smedegaard <dr@jones.dk>
 Section: javascript
 Priority: optional

## node-express 4.19.2+~cs8.36.26

=== debian/changelog ===
node-express (4.19.2+~cs8.36.26-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Cross-site scripting
    - debian/patches/CVE-2024-43796.patch: don't render redirect values in
      anchor href
    - CVE-2024-43796

 -- Shishir Subedi <shishir.subedi@canonical.com>  Wed, 18 Jun 2025 15:21:38 +0545

node-express (4.19.2+~cs8.36.26-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream release (just updates TS declarations)

 -- Yadd <yadd@debian.org>  Tue, 13 Aug 2024 11:39:31 +0400

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
  , node-utils-merge <!nocheck>
  , node-vary <!nocheck>
  , node-vhost <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com

## node-express 4.21.0+~cs8.36.26

=== debian/changelog ===
node-express (4.21.0+~cs8.36.26-2) unstable; urgency=medium

  * Team upload
  * Require node-send >1

 -- Yadd <yadd@debian.org>  Sat, 21 Sep 2024 06:04:04 +0400

node-express (4.21.0+~cs8.36.26-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #1081481, CVE-2024-43796)
  * Refresh patches
  * Update test modules
  * Embed specific version of path-to-regexp and drop related dependency
  * Update dependencies constraints:
    - node-cookie >= 0.6
    - node-encodeurl >= 2

 -- Yadd <yadd@debian.org>  Mon, 16 Sep 2024 12:34:28 +0400

## node-express 4.21.2%2B~cs8.36.27

=== debian/changelog ===
node-express (4.21.2+~cs8.36.27-2) unstable; urgency=medium

  * Team upload
  * patch: extend fix for incomplete HTTP QUERY in nodejs 20.19.2

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 May 2025 19:21:40 +0200

node-express (4.21.2+~cs8.36.27-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.21.2+~cs8.36.27
  * path-to-regexp@0.1.12. CVE-2024-45296.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 04 Apr 2025 14:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: node-express
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>, Jonas Smedegaard <dr@jones.dk>
 Section: javascript
 Priority: optional
@@ -16,7 +15,7 @@
  , node-body-parser <!nocheck>
  , node-content-disposition <!nocheck>
  , node-content-type <!nocheck>
- , node-cookie (>= 0.5) <!nocheck>
+ , node-cookie (>= 0.6) <!nocheck>
  , node-cookie-parser <!nocheck>
  , node-cookie-signature <!nocheck>
  , node-cookiejar <!nocheck>
@@ -24,7 +23,7 @@
  , node-debug <!nocheck>
  , node-depd <!nocheck>
  , node-ejs <!nocheck>
- , node-encodeurl <!nocheck>
+ , node-encodeurl (>= 2) <!nocheck>
  , node-escape-html <!nocheck>
  , node-etag (>= 1.8.1) <!nocheck>
  , node-extend <!nocheck>
@@ -42,13 +41,12 @@
  , node-on-headers <!nocheck>
  , node-path-is-absolute <!nocheck>
  , node-parseurl <!nocheck>
- , node-path-to-regexp <!nocheck>
  , node-proxy-addr <!nocheck>
  , node-qs <!nocheck>
  , node-range-parser <!nocheck>
  , node-reusify <!nocheck>
  , node-safe-buffer <!nocheck>
- , node-send (>= 0.18) <!nocheck>
+ , node-send (>= 1) <!nocheck>
  , node-serve-static (>= 1.14.1) <!nocheck>
  , node-setprototypeof <!nocheck>
  , node-should <!nocheck>
@@ -74,11 +72,11 @@
  , node-body-parser
  , node-content-disposition
  , node-content-type
- , node-cookie (>= 0.5)
+ , node-cookie (>= 0.6)
  , node-cookie-signature
  , node-debug
  , node-depd
- , node-encodeurl
+ , node-encodeurl (>= 2)
  , node-escape-html
  , node-etag (>= 1.8.1)
  , node-finalhandler
@@ -87,12 +85,11 @@
  , node-methods
  , node-on-finished
  , node-parseurl
- , node-path-to-regexp
  , node-proxy-addr
  , node-qs
  , node-range-parser
  , node-safe-buffer
- , node-send (>= 0.18)
+ , node-send (>= 1)
  , node-serve-static (>= 1.14.1)
  , node-setprototypeof
  , node-statuses (>= 2)

## node-express 4.21.2+~cs8.36.27

=== debian/changelog ===
node-express (4.21.2+~cs8.36.27-3) unstable; urgency=medium

  * Team Upload
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is now the default

  [ Jérémy Lal ]
  * Drop README.source, contains outdated info.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 12:21:27 +0200

=== debian/control ===
--- 
+++ 
@@ -57,11 +57,10 @@
  , node-utils-merge <!nocheck>
  , node-vary <!nocheck>
  , node-vhost <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com
-Rules-Requires-Root: no
 
 Package: node-express
 Architecture: all

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-express-$1/,\
dversionmangle=auto \
 https://github.com/visionmedia/express/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-express,ctype=nodejs,pgpmode=none" \
 https://registry.npmjs.org/@types/express https://registry.npmjs.org/@types/express/-/express-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=types-express-serve-static-core,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-express-serve-static-core-$1/" \
 https://registry.npmjs.org/@types/express-serve-static-core https://registry.npmjs.org/@types/express-serve-static-core/-/express-serve-static-core-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-express 5.1.0%2B~cs12.3.3

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
  , mocha <!nocheck>
  , node-accepts <!nocheck>
  , node-after <!nocheck>
- , node-array-flatten <!nocheck>
  , node-basic-auth <!nocheck>
- , node-body-parser <!nocheck>
+ , node-body-parser (>= 2) <!nocheck>
  , node-content-disposition <!nocheck>
  , node-content-type <!nocheck>
  , node-cookie (>= 0.6) <!nocheck>
@@ -32,43 +31,44 @@
  , node-formidable <!nocheck>
  , node-fresh <!nocheck>
  , node-http-errors <!nocheck>
+ , node-is-promise <!nocheck>
  , node-keygrip <!nocheck>
  , node-marked <!nocheck>
  , node-merge-descriptors <!nocheck>
- , node-methods <!nocheck>
+ , node-mime-types (>= 3) <!nocheck>
  , node-morgan <!nocheck>
  , node-on-finished <!nocheck>
+ , node-once <!nocheck>
  , node-on-headers <!nocheck>
  , node-path-is-absolute <!nocheck>
  , node-parseurl <!nocheck>
+ , node-path-to-regexp (>= 8) <!nocheck>
  , node-proxy-addr <!nocheck>
  , node-qs <!nocheck>
  , node-range-parser <!nocheck>
  , node-reusify <!nocheck>
- , node-safe-buffer <!nocheck>
  , node-send (>= 1) <!nocheck>
  , node-serve-static (>= 1.14.1) <!nocheck>
- , node-setprototypeof <!nocheck>
  , node-should <!nocheck>
  , node-statuses (>= 2) <!nocheck>
+ , node-superagent (>= 9.0.1-4~)
  , node-supertest (>= 3.3.0) <!nocheck>
  , node-type-is <!nocheck>
  , node-uid-safe <!nocheck>
- , node-utils-merge <!nocheck>
  , node-vary <!nocheck>
  , node-vhost <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-express
 Vcs-Git: https://salsa.debian.org/js-team/node-express.git
 Homepage: https://expressjs.com
+Rules-Requires-Root: no
 
 Package: node-express
 Architecture: all
 Depends:
  ${misc:Depends}
  , node-accepts
- , node-array-flatten
- , node-body-parser
+ , node-body-parser (>= 2)
  , node-content-disposition
  , node-content-type
  , node-cookie (>= 0.6)
@@ -80,20 +80,21 @@
  , node-etag (>= 1.8.1)
  , node-finalhandler
  , node-fresh
+ , node-http-errors
+ , node-is-promise
  , node-merge-descriptors
- , node-methods
+ , node-mime-types (>= 3)
  , node-on-finished
+ , node-once
  , node-parseurl
+ , node-path-to-regexp (>= 8)
  , node-proxy-addr
  , node-qs
  , node-range-parser
- , node-safe-buffer
  , node-send (>= 1)
  , node-serve-static (>= 1.14.1)
- , node-setprototypeof
  , node-statuses (>= 2)
  , node-type-is
- , node-utils-merge
  , node-vary
  , nodejs:any
 Suggests:

## node-express 5.1.0+~cs12.3.3

=== benchmarks/Makefile ===

all:
	@./run 1 middleware 50
	@./run 5 middleware 50
	@./run 10 middleware 50
	@./run 15 middleware 50
	@./run 20 middleware 50
	@./run 30 middleware 50
	@./run 50 middleware 50
	@./run 100 middleware 50
	@./run 10 middleware 100
	@./run 10 middleware 250
	@./run 10 middleware 500
	@./run 10 middleware 1000
	@echo

.PHONY: all

=== debian/changelog ===
node-express (5.1.0+~cs12.3.3-1) unstable; urgency=medium

  * Team upload
  * Add "Rules-Requires-Root: no"
  * debian/watch version 5
  * Add component "router"
  * New upstream version 5.1.0+~cs12.3.3
  * Update test modules
  * Patches:
    - Drop embeded path-to-regexp
    - Drop patch for mime 2
    - Unfuzz patch skip-query.patch
    - Add patch for node-superagent >= 10
  * Update dependencies
  * Update copyright

 -- Yadd <yadd@debian.org>  Sat, 25 Oct 2025 19:23:42 +0200

=== debian/watch ===
Version: 5
Version-Schema: checksum

Template: Github
Owner: visionmedia
Project: express

Component: router
Ctype: nodejs
Template: Github
Owner: pillarjs
Project: router

Component: types-express
Template: Npmregistry
Ctype: nodejs
Dist: @types/express

Component: types-express-serve-static-core
Template: Npmregistry
Ctype: nodejs
Dist: @types/express-serve-static-core
